
package de.ivu.elect.core.exchange.stimmen.csv;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class ZweiGruppeStimmenDTO extends AbstractGruppeStimmenDTO {

  @CsvField(pos = 2)
  @CsvHeader("Direktstimmen")
  private Long anzahlDirektstimmen;

  @CsvField(pos = 3)
  @CsvHeader("Listenstimmen")
  private Long anzahlListenstimmen;

  public ZweiGruppeStimmenDTO() {
    super();
  }

  public ZweiGruppeStimmenDTO(String gruppeSchluessel, Long anzahlDirektstimmen, Long anzahlListenstimmen) {
    super(gruppeSchluessel);
    this.anzahlDirektstimmen = anzahlDirektstimmen;
    this.anzahlListenstimmen = anzahlListenstimmen;
  }

  public Long getAnzahlDirektstimmen() {
    return anzahlDirektstimmen;
  }

  public void setAnzahlDirektstimmen(Long anzahlDirektstimmen) {
    this.anzahlDirektstimmen = anzahlDirektstimmen;
  }

  public Long getAnzahlListenstimmen() {
    return anzahlListenstimmen;
  }

  public void setAnzahlListenstimmen(Long anzahlListenstimmen) {
    this.anzahlListenstimmen = anzahlListenstimmen;
  }
}
